Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util.slurpersupport
Class Node

    java.lang.Object
      groovy.util.slurpersupport.Node

All Implemented Interfaces:
  Writable

    public class Node
    extends Object
    implements Writable

Represents a node.

Author:
  John Wilson

Constructor Summary
Constructor and Description
`Node(Node parent, String name, Map attributes, Map attributeNamespaces, String namespaceURI)`

Method Summary
Modifier and Type | Method and Description
--- | ---
`void` | `addChild(Object child)`
`protected void` | `appendNode(Object newValue, GPathResult result)`
`Map` | `attributes()`
`void` | `build(GroovyObject builder, Map namespaceMap, Map<String,String> namespaceTagHints)`
`Iterator` | `childNodes()`
`List` | `children()`
`String` | `name()`
`String` | `namespaceURI()`
`protected void` | `replaceBody(Object newValue)`
`void` | `replaceNode(Closure replacementClosure, GPathResult result)`
`String` | `text()`
`Writer` | `writeTo(Writer out)` Writes this object to the given writer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Node

    public Node(Node parent,
                String name,
                Map attributes,
                Map attributeNamespaces,
                String namespaceURI)

  Parameters:
    `parent` - the parent node
    `name` - the name for the node
    `attributes` - the attributes for the node
    `attributeNamespaces` - the namespace mappings for attributes
    `namespaceURI` - the namespace URI if any

Method Detail

### name

    public String name()

### namespaceURI

    public String namespaceURI()

### attributes

    public Map attributes()

### children

    public List children()

### addChild

    public void addChild(Object child)

### replaceNode

    public void replaceNode(Closure replacementClosure,
                            GPathResult result)

### replaceBody

    protected void replaceBody(Object newValue)

### appendNode

    protected void appendNode(Object newValue,
                              GPathResult result)

### text

    public String text()

### childNodes

    public Iterator childNodes()

### writeTo

    public Writer writeTo(Writer out)
                   throws IOException

  Description copied from interface: `Writable`

  Writes this object to the given writer.

  This is used to defer content creation until the point when it is streamed to the output destination. Oftentimes, content will be defined but not necessarily created (as is may be the case with a Closure definition.) In that case, the output is then 'deferred' to the point when it is serialized to the writer. This class may be used whenever an object should be responsible for creating its own textual representation, but creating the entire output as a single String would be inefficient (such as outputting a multi-gigabyte XML document.)

  Specified by:
    `writeTo` in interface `Writable`
  Parameters:
    `out` - the Writer to which this Writable should output its data.
  Returns:
    the Writer that was passed
  Throws:
    `IOException` - if an error occurred while outputting data to the writer

### build

    public void build(GroovyObject builder,
                      Map namespaceMap,
                      Map<String,String> namespaceTagHints)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD